Supported Kubernetes versions in IBM Cloud Container Service

By: Chris Rosen

Supported Kubernetes versions in IBM Cloud Container Service

We are excited to announce the availability of Kubernetes v1.9.2 for your clusters that are running in IBM Cloud Container Service. With the container service, you can easily upgrade your clusters without the need for deep Kubernetes knowledge. When you deploy new clusters, the default Kubernetes version is now v1.8.6, or you can choose to immediately deploy v1.9.2.

IBM Cloud Container Service now supports the latest three releases of Kubernetes: 1.7, 1.8, and 1.9. Clusters that are running Kubernetes v1.5 will not be supported as of April 4, 2018.  Starting March 4, 208, users can no longer deploy v1.5.x clusters. After April 4th, v1.5 clusters cannot receive security updates or support until they are updated to at least v1.7.

Review potential impact of each Kubernetes version update, and then update your clusters immediately. Note that you update from one version to the next most recent, such as 1.5 to 1.7 or 1.8 to 1.9.

If you have questions or concerns, engage our team in Slack. You can register here and join the discussion in the #questions channel on https://ibm-container-service.slack.com/.

Be the first to hear about news, product updates, and innovation from IBM Cloud